1
Error: "https://composer.craftcms.com/p2/aws/aws-sdk-php.json" does not contain valid JSON
Parse error on line 1:
...pball\/6690347bc833"https:\/\/api.github
----------------------^
Expected one of: 'EOF', '}', ':', ',', ']'
2
  • 1
    If you load composer.craftcms.com/p2/aws/aws-sdk-php.json in a browser on the same server you're getting that message on, does it load for you? It loads fine and looks like valid JSON for me.
    – Brad Bell
    Jun 7, 2023 at 0:03
  • Thanks Brad yes it loads. I seem to have solved the problem though.
    – JYdigital
    Jun 14, 2023 at 12:31

1 Answer 1

1

Not knowing what version of Craft or Imager-X you're working with my first recommendation would be to do a composer update before adding Imager-X.

Next, I'd try deleting the 'vendor' directory and composer.lock file and running composer install

1
  • I think I did something like this and have solved the problem. Thanks
    – JYdigital
    Jun 14, 2023 at 12:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.